For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all residents
        • GETGet a resident by ID
        • GETGet rentable items for a resident
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
ResManResidents

Get rentable items for a resident

GET
/v1/residents/:id/rentable-items
GET
/v1/residents/:id/rentable-items
$curl https://api.propexo.com/v1/residents/id/rentable-items \
> -H "Authorization: Bearer <token>"
1{
2 "meta": {
3 "orderBy": [
4 {}
5 ],
6 "offset": 0,
7 "limit": 100,
8 "hasMore": true,
9 "total": 1000
10 },
11 "results": [
12 {
13 "id": "clwktsp9v000008l31iv218hn",
14 "created_at": "2024-03-21T15:38:08.337Z",
15 "updated_at": "2024-03-22T10:59:45.119Z",
16 "last_seen": "2024-03-22T10:59:45.119Z",
17 "x_id": "L10",
18 "x_property_id": "v233a3a-48a7-47cc-9124-d46669cb1a71",
19 "x_location_id": null,
20 "x_applicant_id": null,
21 "x_lead_id": null,
22 "x_resident_id": "c6133a3a-48a7-47cc-9124-d46669cb1a71",
23 "x_type_id": null,
24 "x_charge_code_id": null,
25 "amount_in_cents": 10000,
26 "description": null,
27 "name": "L10",
28 "is_available": true,
29 "reserved_until_date": null,
30 "type": "Parking",
31 "integration_id": "clwh5u07w000508me66sfh3um",
32 "integration_vendor": "RESMAN",
33 "property_id": "clwi5xiix000008l6ctdgafyh",
34 "charge_code_id": null,
35 "applicant_id": null,
36 "lead_id": null,
37 "resident_id": null
38 }
39 ]
40}
Get all rentable items associated with a specific resident
Was this page helpful?
Previous

Get all service requests

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired
The ID of the resource.

Query parameters

order-bystringOptionalDefaults to created_at:desc

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

offsetinteger or nullOptional>=0Defaults to 0
Can be used for paginating results
limitinteger or nullOptional0-250Defaults to 100
A number between 1 and 250 to determine the number of results to return in a single query
x_idstringOptional
The external ID from the integration vendor
location_idstringOptional

The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

property_idstringOptional
The Propexo unique identifier for the property
integration_idstringOptional
The Propexo unique identifier for the integration
integration_vendorenumOptional
The property management system of record

Response

Successful response
metaobject
resultslist of objects

Errors

400
Bad Request Error